%define	name	libevent
%define	version	1.0b
%define	release	1mdk

%define	major	0
%define libname	%mklibname event %{major}

Summary:	Abstract asynchronous event notification library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	BSD
URL:		http://www.monkey.org/~provos/libevent/
Source0:	http://www.monkey.org/~provos/%{name}-%{version}.tar.gz
Source1:	http://www.monkey.org/~provos/%{name}-%{version}.tar.gz.sig
Patch0:		libevent-1.0-shared.diff.bz2
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:          System/Libraries
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n	%{libname}-devel
Summary:	Static library and header files for the libevent library
Group:		Development/C
Obsoletes:	%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

This package contains the static libevent library and its header files
needed to compile applications such as stegdetect, etc.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force && aclocal-1.7 && autoconf --force && autoheader && automake-1.7

%serverbuild

export CFLAGS="%{optflags} -fPIC -DPIC"

%configure2_5x

%make
make verify

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*

%changelog
* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0b-1mdk
- 1.0b

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0a-1mdk
- 1.0a
- added the sig

* Mon Dec 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-1mdk
- 1.0
- added P0 after peeking at the package by PLD

* Fri Jul 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9-1mdk
- 0.9
- nuke redundant provides
- misc spec file fixes

* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- 0.8
- drop the patch, it's included
- use the %%configure2_5x macro

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-5mdk
- remove Obsoletes on current version

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-4mdk
- rebuild

* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-3mdk
- use the %%mklibname macro
- misc spec file fixes

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-2mdk
- build release

* Mon Sep 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-1mdk
- new version
- misc spec file fixes

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-2mdk
- rebuilt with gcc-3.2

* Thu Jun 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- new version
- added P0
- rebuilt with gcc3.1

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3d-1mdk
- initial cooker contrib
- stole the libpcap spec file
